import { RecommendationService } from './RecommendationService';
type Frame = {
    data: unknown;
    options: unknown;
    user: unknown;
};
export declare class RecommendationController {
    #private;
    service: RecommendationService;
    constructor(deps: {
        service: RecommendationService;
    });
    read(frame: Frame): Promise<{
        data: {
            id: string;
            title: string;
            description: string | null;
            excerpt: string | null;
            featured_image: string | null;
            favicon: string | null;
            url: string;
            one_click_subscribe: boolean;
            created_at: string;
            updated_at: string | null;
            count: {
                clicks: number | undefined;
                subscribers: number | undefined;
            } | undefined;
        }[];
        meta: any;
    }>;
    add(frame: Frame): Promise<{
        data: {
            id: string;
            title: string;
            description: string | null;
            excerpt: string | null;
            featured_image: string | null;
            favicon: string | null;
            url: string;
            one_click_subscribe: boolean;
            created_at: string;
            updated_at: string | null;
            count: {
                clicks: number | undefined;
                subscribers: number | undefined;
            } | undefined;
        }[];
        meta: any;
    }>;
    edit(frame: Frame): Promise<{
        data: {
            id: string;
            title: string;
            description: string | null;
            excerpt: string | null;
            featured_image: string | null;
            favicon: string | null;
            url: string;
            one_click_subscribe: boolean;
            created_at: string;
            updated_at: string | null;
            count: {
                clicks: number | undefined;
                subscribers: number | undefined;
            } | undefined;
        }[];
        meta: any;
    }>;
    destroy(frame: Frame): Promise<void>;
    browse(frame: Frame): Promise<{
        data: {
            id: string;
            title: string;
            description: string | null;
            excerpt: string | null;
            featured_image: string | null;
            favicon: string | null;
            url: string;
            one_click_subscribe: boolean;
            created_at: string;
            updated_at: string | null;
            count: {
                clicks: number | undefined;
                subscribers: number | undefined;
            } | undefined;
        }[];
        meta: any;
    }>;
    trackClicked(frame: Frame): Promise<void>;
    trackSubscribed(frame: Frame): Promise<void>;
}
export {};
